Docs
Get Schema
GET /documents/schema
GET
/documents/schemaReturns the queryable entities (such as Crew, Collaborator, Area, Activity, Task) with their properties, navigations, collections and dynamic property bags, resolved for the event. Use it to build a QueryBlock before running DynamicDocs_ExecuteQuery. Requires the EventDocumentsEdit permission.
Response
Type: GetSchemaResponse[]
GetSchemaResponse
| Field | Type | Description |
|---|---|---|
| name | string| null | |
| label | string| null | |
| isBaseEntity | boolean | |
| properties | SchemaPropertyResponse[]| null | |
| navigations | SchemaNavigationResponse[]| null | |
| collections | SchemaNavigationResponse[]| null | |
| ownedSubNavigations | SchemaOwnedSubNavigationResponse[]| null | |
| dynamicBags | SchemaOwnedSubNavigationResponse[]| null |
SchemaPropertyResponse
| Field | Type | Description |
|---|---|---|
| name | string| null | |
| label | string| null | |
| type | string| null | |
| isFilterable | boolean | |
| isSelectable | boolean | |
| isSortable | boolean | |
| isDynamicBag | boolean | |
| options | SchemaPropertyOption[]| null |
SchemaNavigationResponse
| Field | Type | Description |
|---|---|---|
| name | string| null | |
| targetEntity | string| null |
SchemaOwnedSubNavigationResponse
| Field | Type | Description |
|---|---|---|
| name | string| null | |
| properties | SchemaPropertyResponse[]| null |
SchemaPropertyOption
| Field | Type | Description |
|---|---|---|
| label | string| null | |
| value | string| null |